clear
clear mata
clear matrix
set mem 5g
set more 1

program drop _all

* point to programs file.
cd ""


*************************************************************************************************************************************************
**************************************************PROGRAMS TO RUN FOR THE ANALYSIS **************************************************************
*************************************************************************************************************************************************
*************************************************************************************************************************************************


***** beta compute the beta for all permnos in CRSP using daily data and 5 lags of market returns
do construc_beta
compute_beta


***** construc constructs a stock-month level dataset with stock-level information: beta, sigma, disagreement
***** short ratio,turnover, etc.
***** as well as forward 1/3/6/12 months excess returns
do construc_stock_monthly
construc_stock_monthly 


***** aggregate_measure construcs the various measures for the time-series of aggregate disagreement.
do construc_aggregate
aggregate_measure

**** for robustness checks, constructs series of cash flow news and DR news.
do construct_CFnews
*** then construct cash flow betas
do beta_CV


***** time series constructs the various time series used as controls
do time_series


***** All figures and Tables
do "table final return.do"

